<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form) {
    $tips = new Typecho_Widget_Helper_Form_Element_Textarea('tips', NULL, NULL, _t('温馨提示'), _t(''));
    $form->addInput($tips);
    $logo1 = new Typecho_Widget_Helper_Form_Element_Text('logo1', NULL, NULL, _t('动态LOGO外图'), _t(''));
    $form->addInput($logo1);
    $logo2 = new Typecho_Widget_Helper_Form_Element_Text('logo2', NULL, NULL, _t('动态LOGO内图'), _t(''));
    $form->addInput($logo2);
    
}
function themeFields($layout) {
    $format= new Typecho_Widget_Helper_Form_Element_Radio(
		'format',
		array('' => _t('文章'), 'tweet' => _t('微语')),
		'tweet',
		_t('文章类型')
	);
    $layout->addItem($format);
}

/**
 * 获取用户头像 
 */
function avatar($uid,$mail='')
{
    $path =  Typecho_Common::url(defined('__TYPECHO_UPLOAD_DIR__') ? __TYPECHO_UPLOAD_DIR__ : '/usr/uploads',
          defined('__TYPECHO_UPLOAD_ROOT_DIR__') ? __TYPECHO_UPLOAD_ROOT_DIR__ : __TYPECHO_ROOT_DIR__)
          . '/avatar/'.$uid.'.png';
	if($uid && file_exists($path)){
		$options = Helper::options();
		 $url = $options->siteUrl.'/usr/uploads/avatar/'.$uid.'.png';
	}elseif(!strpos($mail,'@qq.com') === false){
		$url = 'https://q1.qlogo.cn/g?b=qq&nk='.explode("@", $mail)[0].'&s=100';
	} else {
		$url = Helper::options()->themeUrl.'/style/avatar.png';
	}
	return $url;
}

/**
 * 微语内容输出
 */
function tweet($content,$cid)
{
	$text = str_ireplace('<br><img','<img',$content);
	$text = strip_tags($text,'<strong><em><a><br><p>');
	$text = '<div class="tweet_text">'.$text.'</div>';

	preg_match_all("/<[img|IMG].*?src=[\'|\"](.*?)[\'|\"].*?[\/]?>/", $content, $imgarr);
	$imgs = '';
	if(count($imgarr[1])){
		$imgs.= '<div class="tweet_imgs">';
		foreach($imgarr[1] as $img){
			$imgs.= '<a href="'.$img.'" data-fancybox="cid-'.$cid.'"><img data-original="'.$img.'"></a>';
		}
		$imgs.= '</div>';
	}

	return $text . $imgs;
}

/**
 * 获取父评论姓名
 */
function atReply($pid) {
	if ($pid == 0) {return '';}
	$db = Typecho_Db::get();
	$commentInfo = $db->fetchRow($db->select('author,status,mail')->from('table.comments')->where('coid = ?', $pid));
	$link = '<a href="#comment-'.$pid.'">@' . $commentInfo['author'].'</a>';
	return $link;
}

/**
 * 友好时间格式
 */
function timeAgo( $ptime ) {
	$etime = time() - $ptime;
	if($etime < 1) return '刚刚';
	$interval = array (
		12 * 30 * 24 * 60 * 60  =>  '年前 ('.date('m-d', $ptime).')',
		30 * 24 * 60 * 60       =>  '个月前 ('.date('m-d', $ptime).')',
		7 * 24 * 60 * 60        =>  '周前 ('.date('m-d', $ptime).')',
		24 * 60 * 60            =>  '天前',
		60 * 60                 =>  '小时前',
		60                      =>  '分钟前',
		1                       =>  '秒前'
	);
	foreach ($interval as $secs => $str) {
		$d = $etime / $secs;
		if ($d >= 1) {
			$r = round($d);
			return $r . $str;
		}
	}
}